import { Injectable } from "@angular/core";
import { Observable } from "rxjs/Observable";

import { UploadService } from "../services/upload-service";
import { DownloadService } from "../services/download-service";

@Injectable()
export class SyncService {

    constructor(
        public upload: UploadService,
        public download: DownloadService
    ) { }

    /**
     *
     */
    do(): Observable<any> {
        return Observable.create((observer: Observable<any>) => {

        });
    }
}